VDB-147223 · CVE-2014-8650 · BID 70909

python-requests-Kerberos bis 0.5 Mutual Authentication schwache Authentisierung

CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
9.6$0-$5k0.04

In python-requests-Kerberos bis 0.5 (Programming Language Software) wurde eine kritische Schwachstelle entdeckt. Dabei geht es um ein unbekannter Codeteil der Komponente Mutual Authentication Handler. Durch Beeinflussen mit einer unbekannten Eingabe kann eine schwache Authentisierung-Schwachstelle ausgenutzt werden. CWE definiert das Problem als CWE-287. Auswirken tut sich dies auf Vertraulichkeit, Integrität und Verfügbarkeit. Die Zusammenfassung von CVE lautet:

python-requests-Kerberos through 0.5 does not handle mutual authentication

Die Schwachstelle wurde am 15.12.2019 öffentlich gemacht. Die Verwundbarkeit wird seit dem 06.11.2014 als CVE-2014-8650 geführt. Die Ausnutzbarkeit ist als leicht bekannt. Der Angriff kann über das Netzwerk angegangen werden. Um eine Ausnutzung durchzusetzen, muss keine spezifische Authentisierung umgesetzt werden. Technische Details sind nicht bekannt und ein Exploit zur Schwachstelle ist ebenfalls nicht vorhanden.

Ein Aktualisieren vermag dieses Problem zu lösen.

Unter anderem wird der Fehler auch in der Verwundbarkeitsdatenbank von SecurityFocus (BID 70909†) dokumentiert. Die Schwachstellen VDB-192011, VDB-193700 und VDB-253492 sind ähnlich.

Produktinfo

Typ

Name

Version

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

CVSSv3info

VulDB Meta Base Score: 9.8
VulDB Meta Temp Score: 9.6

VulDB Base Score: 9.8
VulDB Temp Score: 9.4
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 9.8
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 🔍

Exploitinginfo

Klasse: Schwache Authentisierung
CWE: CWE-287
CAPEC: 🔍
ATT&CK: 🔍

Lokal: Nein
Remote: Ja

Verfügbarkeit: 🔍
Status: Nicht definiert

EPSS Score: 🔍
EPSS Percentile: 🔍

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔍

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

OpenVAS ID: 867259
OpenVAS Name: Fedora Update for python-requests-kerberos FEDORA-2014-14498
OpenVAS Datei: 🔍
OpenVAS Family: 🔍

Threat Intelligenceinfo

Interesse: 🔍
Aktive Akteure: 🔍
Aktive APT Gruppen: 🔍

Gegenmassnahmeninfo

Empfehlung: Upgrade
Status: 🔍

0-Day Time: 🔍

Timelineinfo

04.11.2014 🔍
06.11.2014 +2 Tage 🔍
15.12.2019 +1865 Tage 🔍
16.12.2019 +1 Tage 🔍
12.03.2024 +1548 Tage 🔍

Quelleninfo

Advisory: openwall.com
Status: Nicht definiert

CVE: CVE-2014-8650 (🔍)
SecurityFocus: 70909 - requests-kerberos 'requests_kerberos/kerberos_.py' Remote Security Bypass Vulnerability

Siehe auch: 🔍

Eintraginfo

Erstellt: 16.12.2019 07:47
Aktualisierung: 12.03.2024 09:50
Anpassungen: 16.12.2019 07:47 (35), 16.12.2019 07:52 (26), 12.03.2024 09:50 (4)
Komplett: 🔍
Cache ID: 100:4E2:40

Diskussion

Bisher keine Kommentare. Sprachen: de + en.

Bitte loggen Sie sich ein, um kommentieren zu können.

Do you need the next level of professionalism?

Upgrade your account now!